/* 
    This file is part of the KDE system
    Copyright (C)  1999 Boloni Laszlo
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
 
    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/
/*
 * gofaiNewNodeDialog.h
 *
 */

#ifndef __GOFAI_NEW_NODE_DIALOG_H
#define __GOFAI_NEW_NODE_DIALOG_H

#include <kdialog.h>
#include <qpushbutton.h>
#include <klineedit.h>
#include <qcheckbox.h>

class gofaiNewNodeDialog : public KDialog {
   Q_OBJECT
    QPushButton *ok, *cancel;
 public:
    KLineEdit *edt;    
    QCheckBox *reminds;
    gofaiNewNodeDialog(QWidget *parent, QString centername);
    QString getValue();
 public slots:
    void enableOk();
};


#endif
